// TsolExceptions.java
// 22.03.96
//
// a group of TsolException objects

package cybcerone.main;

import java.util.Vector;
import java.util.Enumeration;

import cybcerone.utils.Date;

/**
 * A group of TsolException objects.  Easy way to tell if a specific date 
 * is among them.
 */
class TsolExceptions {
  private Vector exceptions;

  public TsolExceptions (Vector theExceptions) {
    exceptions = theExceptions;
  }
  
  public boolean contains (Date theDate) {
    for (Enumeration e = exceptions.elements ();
	 e.hasMoreElements ();)
      if (((TsolException)e.nextElement()).contains (theDate)) return true;
    return false;
  }
  
}
