// OrientLegend.java
// 16.03.96
// 
// The legend on the orientation screen

package cybcerone.orient;

import java.awt.Rectangle;

import cybcerone.utils.Appletlike;
import cybcerone.utils.IdPanel;

/**
 * How to read the map at left.
 */
class OrientLegend extends IdPanel {
  private static final Rectangle placement = new Rectangle(734, 423, 290, 175);

  private static final String id = "OrientLegend";
  private static final String statusText = "Legend for the current map";

  OrientLegend (Appletlike app) {
    super (id, statusText, app);
    reshape (placement);
  }

  /** Use this for the map or the zone */
  void update (Maplike theMap) {
    setBackground (theMap.getLegend ());
    repaint ();
  }
}
