// Zones.java
// 23.02.96
//
// a collection of zones

package cybcerone.orient;

import java.util.Vector;
import java.util.Enumeration;

/**
 * Multiple zones that you can search.
 */
public class Zones {
  private Vector theZones;

  public Zones () {
    theZones = new Vector ();
  }

  public void add (Zone aZone) {
    theZones.addElement (aZone);
  }

  public void add (String text) {
    add (new Zone (text));
  }

  public Zone which (int x, int y) {
    Zone aZone;

    for (Enumeration e = theZones.elements ();
	 e.hasMoreElements ();) {
      aZone = (Zone)e.nextElement ();
      if (aZone.inside (x, y))
	return aZone;
    }
    return null;
  }

  public Zone which (String name) {
    Zone aZone;

    for (Enumeration e = theZones.elements ();
	 e.hasMoreElements ();) {
      aZone = (Zone)e.nextElement ();
      if (name.equals (aZone.getName ()))
	return aZone;
    }
    return null;
  }
}
