// Literate.java
// 24.02.96
//
// the interface for objects that know how to read themselves from a stream

package cybcerone.utils;

import java.io.DataInputStream;
import java.io.IOException;

/**
 * This interface is for any object
 * that knows how to read itself from a DataInputStream.
 */
public interface Literate {

  /** reads 1 object from the input stream, returns it */
  public Object read (DataInputStream inStream) throws IOException;
}
