// NowUpdateThread.java
// 26.03.96
//
// The thread responsible for updating the NowPanel every minute, so it
//  stays current

package cybcerone.main;

/**
 * Spawned by the NowPanel so it can keep itself current.
 */
class NowUpdateThread extends Thread {
  private final int delay = 60000;

  private NowPanel theNow;
  
  public NowUpdateThread (NowPanel theNow) {
    this.theNow = theNow;
  }

  public void run () {
    while (true) {
      
      try {
	sleep (delay);
      } catch (InterruptedException e) {
      }

      theNow.setTheEvents (theNow.findEvents ());
      theNow.updatePanels ();
    }
  }
}
