// Button.java
// 16.03.96
//
// Buttons for the preorientation screen

package cybcerone.orient;

import java.awt.Rectangle;

import cybcerone.utils.Scaler;

class Button {
  private Rectangle placement;
  private String next;

  Button (String next, int x, int y, int width, int height) {
    this.next = next;
    placement = Scaler.scale (x, y, width, height);
  }

  boolean inside (int x, int y) {
    return placement.inside (x, y);
  }

  String getNext () { return next; }
  Rectangle getPlacement () { return placement; }
}
