// OrientDesc.java
// 16.03.96
//
// the description on the orient screen

package cybcerone.orient;

import java.awt.Color;
import java.awt.Rectangle;

import cybcerone.utils.Appletlike;
import cybcerone.utils.ScrollingPanel;

/**
 * Tells you what you're looking at.
 */
class OrientDesc extends ScrollingPanel {
  private static final Rectangle placement = new Rectangle (734 + 5, 393, 290 - 10, 30);

  private static final String id = "OrientDesc";
  private static final String statusText = "The selected region";

  private Color textColor = new Color (160, 160, 160);
  
  OrientDesc (Appletlike app) {
    super (id, statusText, app);
    reshape (placement);
    setColor (textColor);
  }

  void update (Maplike newMap) {
    setText (newMap.getDesc ());
  }
}
