// MapInfoPanel.java
// 17.03.96
//
// info for the map screen, specific to the type of object being displayed

package cybcerone.utils;

import java.awt.Rectangle;
import java.awt.Color;
import java.awt.Graphics;

/** 
 * A generic panel that goes on top of the map screen.
 */
public class MapInfoPanel extends IdPanel {
  private static final Rectangle placement = new Rectangle (0, 0, 734, 135);

  protected static final Color gray = new Color (160, 160, 160);
  protected static final Color blue = Color.blue; // new Color (64, 64, 255);

  MapInfoPanel (String id, String statusText, Appletlike app) {
    super (id, statusText, app);
    reshape (placement);
    
    setBackground (Color.black);
  }

  public void update (Graphics g) {
    g.clearRect (0, 0, size().width, size().height);
    paint (g);
  }
}
