// PaperButton.java
// 28.02.96
//
// the buttons on a page

package cybcerone.utils;

import java.awt.Image;
import java.awt.image.ImageObserver;
import java.awt.Rectangle;
import java.awt.Graphics;

/**
 * The little up and down arrows that let you scroll on ScrollingPaper.
 */
class PaperButton {
  Image theImage;
  Rectangle placement;

  PaperButton (Image theImage, Rectangle placement) {
    this.theImage = theImage;
    this.placement = placement;
  }

  public boolean inside (int x, int y) {
    return placement.inside (x, y);
  }

  public void paint (Graphics g, ImageObserver observer) {
    g.drawImage (theImage, placement.x, placement.y, observer);
  }
}

